﻿/* 
  Note that gv-select wasn't expected to be embedded in another drop down, so we have to mess around with the styles.
*/

li.gv-entity-select div.form-horizontal {
  padding: 4px 8px 4px 8px;
  border: none;
  border-bottom: 1px solid rgba(0,0,0,0.15);
}

  li.gv-entity-select div.form-horizontal div.form-group {
    padding: 4px 8px 4px 8px;
    background-color: #FFF;
    border: none;
    margin-left: 0px;
    margin-right: 0px;
  }

    li.gv-entity-select div.form-horizontal div.form-group div.btn-group {
      box-shadow: none;
      padding: 0px;
    }

    li.gv-entity-select div.form-horizontal div.form-group div.col-sm-4,
    li.gv-entity-select div.form-horizontal div.form-group div.col-sm-8 {
      padding-left: 0px;
      padding-right: 0px;
    }

    li.gv-entity-select div.form-horizontal div.form-group div.input-group-addon {
      border-radius: 0px;
    }

li.gv-entity-select div.country {
  padding: 4px 8px 4px 8px;
}

  li.gv-entity-select div.country span.header {
    font-weight: bold;
  }

li.gv-entity-select div.entity-type {
  margin-top: 4px;
  padding-left: 20px;
}

  li.gv-entity-select div.entity-type ul {
    list-style: none;
    margin-left: -40px;
    margin-bottom: 0px;
    margin-top: 4px;
  }

li.gv-entity-select div.scroll-container {
  max-height: 200px;
  overflow-y: auto;
}

li.gv-entity-select div.dropdown-menu {
  width: 300px;
}

  li.gv-entity-select div.dropdown-menu div.gv-select ul.dropdown-menu {
    border: 1px solid rgba(0,0,0,0.15);
  }

li.gv-entity-select div.scroll-container ul li {
  padding-bottom: 4px;
  padding-left: 20px;
}

  li.gv-entity-select div.scroll-container ul li a {
    text-decoration: none;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    color: #000;
  }

  li.gv-entity-select div.scroll-container ul li.active a {
    background-color: #FFF !important;
    color: #000 !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
  }

li.gv-entity-select div.gv-select button,
li.gv-entity-select div.gv-select button:focus,
li.gv-entity-select div.gv-select button:hover {
  background-color: #FFF !important;
  box-shadow: none !important;
  -webkit-box-shadow: none !important;
  -moz-box-shadow: none !important;
}

#gv-entity-select-reset {
  cursor: pointer;
}

#gv-entity-select-flat-list {
  max-height: 300px;
  overflow-y: auto;
}

#gv-entity-select-search,
#gv-entity-select-search:focus {
  box-shadow: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
}
